Bug 976059 - NetworkManager-pptp fails to build on F19
NetworkManager-pptp fails to build on F19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 16:09 EDT by D. Marlin
Modified: 2013-07-15 21:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: NetworkManager-pptp-0.9.8.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 21:44:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description D. Marlin 2013-06-19 16:09:23 EDT
Description of problem:

NetworkManager-pptp fails to build on F19.

Version-Release number of selected component (if applicable):

NetworkManager-pptp-0.9.3.997

How reproducible:

Consistently

Steps to Reproduce:
1.  rpm -i NetworkManager-pptp-0.9.3.997-3.fc18.src.rpm 
2.  rpmbuild -bb SPECS/NetworkManager-pptp.spec
3.

Actual results:

        :
libtool: link: gcc -Wall -std=gnu89 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wdeclaration-after-statement -Wstrict-prototypes -Wfloat-equal -Wno-unused-parameter -Wno-sign-compare -fno-strict-aliasing -Wno-unused-but-set-variable -Wl,-z -Wl,relro -o nm-pptp-auth-dialog nm_pptp_auth_dialog-main.o nm_pptp_auth_dialog-vpn-password-dialog.o  -L/lib64 -lnm-util -lnm-glib -lnm-glib-vpn -ldbus-glib-1 -ldbus-1 -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lgnome-keyring -lglib-2.0
nm_pptp_auth_dialog-vpn-password-dialog.o: In function `add_row':
/es/scratch/dmarlin/F19/rpmbuild/BUILD/NetworkManager-pptp-0.9.3.997/auth-dialog/vpn-password-dialog.c:127: undefined reference to `GTK_TABLE'
/es/scratch/dmarlin/F19/rpmbuild/BUILD/NetworkManager-pptp-0.9.3.997/auth-dialog/vpn-password-dialog.c:128: undefined reference to `GTK_TABLE'
nm_pptp_auth_dialog-vpn-password-dialog.o: In function `add_table_rows':
/es/scratch/dmarlin/F19/rpmbuild/BUILD/NetworkManager-pptp-0.9.3.997/auth-dialog/vpn-password-dialog.c:157: undefined reference to `GTK_TABLE'
nm_pptp_auth_dialog-vpn-password-dialog.o: In function `vpn_password_dialog_new':
/es/scratch/dmarlin/F19/rpmbuild/BUILD/NetworkManager-pptp-0.9.3.997/auth-dialog/vpn-password-dialog.c:232: undefined reference to `GTK_TABLE'
/es/scratch/dmarlin/F19/rpmbuild/BUILD/NetworkManager-pptp-0.9.3.997/auth-dialog/vpn-password-dialog.c:233: undefined reference to `GTK_TABLE'
collect2: error: ld returned 1 exit status


Expected results:

Build completes without error.

Additional info:
Comment 1 Fedora Update System 2013-07-11 06:54:40 EDT
NetworkManager-pptp-0.9.8.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NetworkManager-pptp-0.9.8.2-2.fc19
Comment 2 Fedora Update System 2013-07-11 22:59:27 EDT
Package NetworkManager-pptp-0.9.8.2-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-pptp-0.9.8.2-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12769/NetworkManager-pptp-0.9.8.2-2.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-15 21:44:29 EDT
NetworkManager-pptp-0.9.8.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.